///
/// Copyright (c) 2018 xdx. All rights reserved.
///
/// \file: kdf.go
///
/// \brief:
///
/// \author: xdx
///

package kdf

// KDFInterface Kdf
type KDFInterface interface {
	// fill out with kdf data
	// out should not in inputs
	Kdf(out []byte, inputs ...[]byte) error
}

// StdKdf is the kdf used in sm2 and sm9
// @deprecated use SMKDF instead
var StdKdf KDFInterface = new(smKDF)

// SMKDF is the kdf used in sm2 and sm9
var SMKDF KDFInterface = new(smKDF)
